Browse code

Added a custom icon to Ramize-Physave's action list window title - a purple file. Probably temporary. Actually, what might be even better might be, making a way for any user to easily customize the icon.

Apollia authored on09/12/2018 18:19:00
Showing4 changed files
1 1
new file mode 100755
... ...
@@ -0,0 +1,49 @@
1
+#! /bin/bash
2
+
3
+
4
+readonly Fillepath____This_Script=$(realpath "${BASH_SOURCE[0]}")
5
+readonly Follpath____This_Script=$(dirname "$Fillepath____This_Script" )
6
+
7
+
8
+# 20:20:51 03/27/2018.  This script assumes this app is in a ramized location,
9
+# so the symlink won't cause a physical disk to be pestered every time the
10
+# icon is needed.
11
+#
12
+# So, this script should not be run if this app is actually in a physaved location.
13
+
14
+Icon_Filename="purple-file-48x48.png"
15
+
16
+Icon_Fillepath="$Follpath____This_Script/$Icon_Filename"
17
+
18
+position_of_symlink="/usr/share/icons/hicolor/48x48/apps/$Icon_Filename"
19
+
20
+
21
+if [ ! -e "$position_of_symlink" ]
22
+then
23
+	if [ ! -L "$position_of_symlink" ]
24
+	then
25
+		ln --symbolic "$Icon_Fillepath" "$position_of_symlink"
26
+		
27
+		gtk-update-icon-cache -f -i /usr/share/icons/hicolor/
28
+		
29
+		
30
+		#!!!!
31
+		exit 0
32
+	else
33
+		echo "Nothing done, a symlink already existed at:
34
+	
35
+	$position_of_symlink"
36
+		
37
+		
38
+		#!!!!
39
+		exit 1
40
+	fi
41
+else
42
+	echo "Nothing done - something already existed at:
43
+
44
+	$position_of_symlink"
45
+	
46
+	
47
+		#!!!!
48
+		exit 2
49
+fi
0 50
\ No newline at end of file
1 51
new file mode 100755
... ...
@@ -0,0 +1,35 @@
1
+#! /bin/bash
2
+
3
+
4
+readonly Fillepath____This_Script=$(realpath "${BASH_SOURCE[0]}")
5
+readonly Follpath____This_Script=$(dirname "$Fillepath____This_Script" )
6
+
7
+
8
+# 20:20:51 03/27/2018.  This script assumes this app is in a ramized location,
9
+# so the symlink won't cause a physical disk to be pestered every time the
10
+# icon is needed.
11
+#
12
+# So, this script should not be run if this app is actually in a physaved location.
13
+
14
+Icon_Filename="purple-file-48x48.png"
15
+
16
+Icon_Fillepath="$Follpath____This_Script/$Icon_Filename"
17
+
18
+position_of_symlink="/usr/share/icons/hicolor/48x48/apps/$Icon_Filename"
19
+
20
+
21
+if [ -L "$position_of_symlink" ]
22
+then
23
+	unlink "$position_of_symlink"
24
+	
25
+	gtk-update-icon-cache -f -i /usr/share/icons/hicolor/
26
+
27
+else
28
+	echo "Nothing done - already, there was no symlink at:
29
+
30
+	$position_of_symlink"
31
+	
32
+	
33
+	#!!!!
34
+	exit 1
35
+fi
0 36
\ No newline at end of file
1 37
new file mode 100644
2 38
Binary files /dev/null and b/Icons/purple-file-48x48.png differ
... ...
@@ -223,6 +223,8 @@ title="$Foldername____Ramphys"
223 223
 MAIN_DIALOG='
224 224
 <window default_height="270" default_width="480"'
225 225
 MAIN_DIALOG+="title=\"$title\""
226
+	MAIN_DIALOG+='
227
+icon-name="purple-file-48x48" '
226 228
 MAIN_DIALOG+='resizable="true" decorated="true">
227 229
   <vbox>'
228 230